# Tomcat
server:
  port: 9711

# nacos线上地址
nacos:
  addr: 47.116.173.119:8848
  user-name: nacos
  password: nacos
  namespace: oneone
# SPRING_AMQP_DESERIALIZATION_TRUST_ALL=true spring.amqp.deserialization.trust.all
# Spring
spring:
  iotdb:
    ip: 47.116.173.119
    port: 6667
    user: root
    password: root
    fetchSize: 10000
    maxActive: 10
  amqp:
    deserialization:
      trust:
        all: true
  main:
    allow-bean-definition-overriding: true
  application:
    # 应用名称
    name: cloud-data-processing
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
      config:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          # 系统共享配置
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # 系统环境Config共享配置
          - application-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # xxl-job 配置文件
          - application-xxl-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # rabbit 配置文件
          - application-rabbit-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # kafka 配置文件
          - application-kafka-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}

logging:
  level:
    com.muyu.system.mapper: DEBUG
